{% extends '::baseIntranet.html.twig' %}

{% block title %} INTRANET - Cumpleaños {% endblock title %}

{% block stylesheets %}
	<style>
		#form_archivo1,#form_archivo2 {
		    margin-bottom: 2%;
		}
		
		#form_Guardar {
		    float: left;
		    margin-right: 2%;
		}

		#dtl_btn_mdr {
		    float: right;
			cursor: pointer;
			border: solid 1px rgba(159, 159, 159, 0.61);
		}

		form {
    		padding: 0px 20px;
		}

		#form_previo {
		    float: left;
		    margin-right: 2%;
		}
	</style>	
{% endblock %}

{% block body -%}

        <section class="content-header">
	          <h1>
	            Update Cumpleaños MDR
	          </h1>
	        </section>

	        
                
        <section class="content"> 
        	<div class="box box-info">       
                <div class="box-body">
		        	<div class="row">
		        		{{ form_start(form_cum) }}
		                  {% for row in [
		                    [ ['archivo1', 2]	],
		                    [ ['archivo2',2] 	]
		                    ] 
		                  %}
		                    <div class="row">   
		                    {% for field in row %}
		                      <div class="col-md-{{ field[1] is defined ? field[1] * 4 :  4 }}">
		                        {% if (attribute(form_cum, field[0]) is defined) %}
		                          {{ form_row(attribute(form_cum, field[0])) }}
		                        {% endif %}
		                      </div>
		                    {% endfor %}
		                    </div>
		                  {% endfor %}
		                  {{ form_rest(form_cum) }}
		                  {{ form_end(form_cum) }}
		        	</div>
		        </div>
		    </div>
		    
		    <h3>Imagenes actuales</h3>
		        	<div class="row">
		        		<div class="col-md-5">
		        			<div class="box box-solid">
					                <div class="box-header with-border">
					                  <i class="fa fa-gift"></i>
					                  <h3 class="box-title">Imagen Previa</h3>
					                </div><!-- /.box-header -->
					                <div class="box-body" id="feliz_cumpleanios">
					                	<img src="{{ prevfc }}" width="100%" height="100%" id="prevversion">
								  	</div>
								</div>  
		        		</div>
		        		<div class="col-md-7">
		        			<div class="box box-primary">
				                <div class="box-header">
				                	<i class="fa fa-external-link"></i>
				                  <h3 class="box-title">Imagen de consulta</h3>
				                </div>
				                  	<div class="box-body" style="text-align: center;">
				                	<img src="{{ showfc }}" style="max-width: 100%; max-height: 72vh;" id="fullversion">
				                </div>
				            </div>
		        			
		        		</div>
		        	</div>	     
		</section>

		     
       
{% endblock %}

{% block javascripts %}
	<script>
		function showPrev(){
			var previoimg = $('#form_archivo1').val();
			var fullimg = $('#form_archivo2').val();
			if(previoimg || fullimg){
				if (document.getElementById("form_archivo1").files[0]) {
						var reader = new FileReader();
					reader.onload = function (e) {
						$('#prevversion').attr('src', e.target.result);
					}
					reader.readAsDataURL(document.getElementById("form_archivo1").files[0]);
				} 

				if (document.getElementById("form_archivo2").files[0]) {
						var reader = new FileReader();
					reader.onload = function (e) {
						$('#fullversion').attr('src', e.target.result);
					}
					reader.readAsDataURL(document.getElementById("form_archivo2").files[0]);
				} 	
			}else{
				alert("Debe seleccionar una imagen para alguna de las 2 opciones:</br>->Imagen previa</br>->Imagen de consulta ");
			}		 
		}

		function revertPrev(){
			$('#prevversion').attr('src', ' {{ prevfc }} ');
			$('#fullversion').attr('src', ' {{ showfc }} ');
			$('#form_Guardar').attr("disabled", false); 
            $('#form_previo').attr("disabled", false);
		}
	</script>
{% endblock %}